changeset 11779:431ad142ee5d

update-copyright-tests: correctly test EOL=\r\n handling * tests/test-update-copyright.sh: Put \r at the end of some lines for the dos-eol tests. Based on a patch by Joel E. Denny.
author Jim Meyering <meyering@redhat.com>
date Tue, 04 Aug 2009 16:25:12 +0200
parents c1794ef712cb
children 3377553a29cf
files ChangeLog tests/test-update-copyright.sh
diffstat 2 files changed, 13 insertions(+), 8 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
 2009-08-04  Jim Meyering  <meyering@redhat.com>
 
+	update-copyright-tests: correctly test EOL=\r\n handling
+	* tests/test-update-copyright.sh: Put \r at the end of some lines
+	for the dos-eol tests.  Based on a patch by Joel E. Denny.
+
 	maint.mk: make update-copyright exclusion list more configurable
 	* top/maint.mk (update-copyright): Default to excluding COPYING,
 	but allow an override, in case someone does want to update that file.
--- a/tests/test-update-copyright.sh
+++ b/tests/test-update-copyright.sh
@@ -290,20 +290,21 @@
 ## --------- ##
 
 TMP=$TMP_BASE-dos-eol
-cat > $TMP <<EOF
-Rem Copyright (C) 87, 88, 1991, 1992, 1993, 1994, 1995, 1996, 1997,
-Rem 98, 1999, 2000, 2001, 2002, 2003,  2004, 2005, 2006, 2007, 2008,
-Rem 2009 Free Software Foundation, Inc.
+tr @ '\015' > $TMP <<\EOF
+Rem Copyright (C) 87, 88, 1991, 1992, 1993, 1994, 1995, 1996, 1997,@
+Rem 98, 1999, 2000, 2001, 2002, 2003,  2004, 2005, 2006, 2007, 2008,@
+Rem 2009 Free Software Foundation, Inc.@
 EOF
 UPDATE_COPYRIGHT_YEAR=2010 \
   update-copyright $TMP 1> $TMP-stdout 2> $TMP-stderr
 diff -u /dev/null $TMP-stdout || exit 1
 diff -u /dev/null $TMP-stderr || exit 1
-diff -u - $TMP <<EOF || exit 1
-Rem Copyright (C) 87, 88, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 98,
-Rem 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008,
-Rem 2009-2010 Free Software Foundation, Inc.
+tr @ '\015' > $TMP-exp <<\EOF
+Rem Copyright (C) 87, 88, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 98,@
+Rem 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008,@
+Rem 2009-2010 Free Software Foundation, Inc.@
 EOF
+diff -u $TMP-exp $TMP || exit 1
 rm $TMP*
 
 exit 0